Package Details: lib32-llvm-git 19.0.0_r495961.17b86d5978af-1

Git Clone URL: https://aur.archlinux.org/lib32-llvm-git.git (read-only, click to copy)
Package Base: lib32-llvm-git
Description: Collection of modular and reusable compiler and toolchain technologies (32-bit, git)
Upstream URL: https://llvm.org/
Keywords: clang git llvm
Licenses: custom:Apache 2.0 with LLVM Exception
Conflicts: lib32-clang, lib32-llvm
Provides: aur-lib32-llvm-git, lib32-clang, lib32-clang-git, lib32-llvm
Submitter: yurikoles
Maintainer: rjahanbakhshi
Last Packager: rjahanbakhshi
Votes: 12
Popularity: 0.001366
First Submitted: 2019-01-11 15:50 (UTC)
Last Updated: 2024-04-17 08:43 (UTC)

Required by (23)

Sources (1)

Pinned Comments

Latest Comments

1 2 3 4 5 6 .. 9 Next › Last »

rjahanbakhshi commented on 2023-06-18 16:08 (UTC)

@AtticFinder65536, @Lone_Wolf

Confirmed. Both multilib-build and classic were exhibiting the same issue. I added lib32-zstd dependency as suggested by @AtticFinder65536 and the issue is resolved. Thanks,

ivanmlerner commented on 2023-05-17 12:48 (UTC) (edited on 2023-05-17 12:49 (UTC) by ivanmlerner)

No, I am using the classic way, on the wiki. I'll post the logs when I can and will also try with multilib-build.

Lone_Wolf commented on 2023-05-12 18:55 (UTC) (edited on 2023-05-12 18:57 (UTC) by Lone_Wolf)

You are using multilib-build , yes ?

Please post the full build logs somewhere (like on a pastebin site) and post the link to it.

ivanmlerner commented on 2023-05-11 19:00 (UTC) (edited on 2023-05-11 19:05 (UTC) by ivanmlerner)

Hello, I was also only able to build this with lib32-zstd installed on the clean chroot. Surprisingly, building it with lib32-zstd on the makedepens and depends array did not work.

I was getting this error before: /usr/bin/ld: /usr/lib/libzstd.so: error adding symbols: file in wrong format

rjahanbakhshi commented on 2023-05-05 08:22 (UTC)

@AtticFinder65536,

To my understanding, packages in depends array are automatically considered in makedpends as well. zstd is required for shader cache compression, hence it's a runtime dependency of mesa. Plus, building lib32-mesa-git in a clean chroot environment is successful so the problem might be in your specific environment. Do you have more details or references for the failure?

atticf commented on 2023-05-02 17:31 (UTC)

Needs lib32-zstd in makedepends and depends array of lib32-libs-git, otherwise it will use 64bit library and fail

Lone_Wolf commented on 2021-10-26 11:11 (UTC)

The time has come for me to transfer ownership of this package to Reza and step down as maintainer.

Lone_Wolf

Lone_Wolf commented on 2021-01-03 15:34 (UTC)

I haven't used this package in several months and am looking for a new maintainer.

shoober420 commented on 2020-08-22 02:15 (UTC)

So lib32-llvm-git will conflict with lib32-llvm, but lib32-llvm-libs-git will not conflict with lib32-llvm-libs.

Lone_Wolf commented on 2020-08-19 19:29 (UTC)

See my comment on llvm-git page